import QtQuick 2.6
import Sailfish.Silica 1.0
import QtSensors 5.2

Page {
    property alias sensorIdentifier: ambientLightSensor.identifier

    AmbientLightSensor {
        id: ambientLightSensor
        active: true
    }
    PageHeader { title: qsTr("Ambient Light Sensor") }
    Column {
        width: parent.width - 2 * Theme.horizontalPageMargin
        anchors.centerIn: parent
        spacing: Theme.paddingMedium

        Repeater {
            model: [
                { name: qsTr("Sunny"), lightLevel: AmbientLightReading.Sunny },
                { name: qsTr("Bright"), lightLevel: AmbientLightReading.Bright },
                { name: qsTr("Light"), lightLevel: AmbientLightReading.Light },
                { name: qsTr("Twilight"), lightLevel: AmbientLightReading.Twilight },
                { name: qsTr("Dark"), lightLevel: AmbientLightReading.Dark }
            ]
            delegate: Rectangle {
                color: modelData.lightLevel <= ambientLightSensor.reading.lightLevel ?
                    Theme.rgba(Theme.highlightBackgroundColor, Theme.highlightBackgroundOpacity) :
                    "transparent"
                width: parent.width
                height: Theme.itemSizeMedium

                Label {
                    anchors.centerIn: parent
                    text: modelData.name
                    color: Theme.highlightColor
                }
            }
        }
    }
}
