import QtQuick 2.6
import Sailfish.Silica 1.0
import QtSensors 5.2
import "../assets"

Page {
    property alias sensorIdentifier: orientationSensor.identifier

    OrientationSensor {
        id: orientationSensor
        active: true
    }
    PageHeader { title: qsTr("Orientation Sensor") }
    Ball {
        center: Qt.point(parent.width / 2, parent.height / 2)
        color: Theme.primaryColor
        radius: Theme.itemSizeMedium / 2
        acceleration: {
            if (orientationSensor.reading) {
                switch (orientationSensor.reading.orientation) {
                case OrientationReading.TopUp:
                    return Qt.vector2d(0, 5000);
                case OrientationReading.TopDown:
                    return Qt.vector2d(0, -5000);
                case OrientationReading.RightUp:
                    return Qt.vector2d(-5000, 0);
                case OrientationReading.LeftUp:
                    return Qt.vector2d(5000, 0);
                default:
                    return Qt.vector2d(0, 0);
                }
            } else {
                return Qt.vector2d(0, 0);
            }
        }
    }
}
