import QtQuick 2.6
import Sailfish.Silica 1.0
import QtSensors 5.2

Page {
    property alias sensorIdentifier: rotationSensor.identifier

    RotationSensor {
        id: rotationSensor
        active: true
    }
    PageHeader { title: qsTr("Rotation Sensor") }
    Image {
        id: image
        source: "../graphics/logo_qt_2016.svg"
        anchors.centerIn: parent
        width: parent.width / 2
        height: parent.height / 2
        fillMode: Image.PreserveAspectFit
        transform: [
            Rotation {
                axis { x: -1; y: 0; z: 0 }
                angle: rotationSensor.reading ? rotationSensor.reading.x : 0
                origin.x: image.width / 2
                origin.y: image.height / 2
            },
            Rotation {
                axis { x: 0; y: -1; z: 0 }
                angle: rotationSensor.reading ? 180 + rotationSensor.reading.y : 0
                origin.x: image.width / 2
                origin.y: image.height / 2
            }
        ]
    }
}
