#include "NoGravityAccelerometerFilter.h"
#include <QtMath>

#define GRAVITY 9.81

NoGravityAccelerometerFilter::NoGravityAccelerometerFilter() : QAccelerometerFilter()
{
    this->_rotationSensor.start();
}

bool NoGravityAccelerometerFilter::filter(QAccelerometerReading *reading)
{
    QRotationReading *rotationReading = this->_rotationSensor.reading();
    if (rotationReading) {
        qreal xRaian = rotationReading->x() * M_PI / 180;
        qreal yRaian = rotationReading->y() * M_PI / 180;
        reading->setX(reading->x() - qSin(yRaian) * GRAVITY);
        reading->setY(reading->y() + qSin(xRaian) * GRAVITY);
        reading->setZ(reading->z() + qCos(xRaian) * qCos(yRaian) * GRAVITY);
    }
    return true;
}
